summaryrefslogtreecommitdiffstats
path: root/system/dstat
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 15:18:36 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:18:36 +0200
commitd4c5f3d57387b7f5801ea30556555053a4eab59c (patch)
treeb7ff971faf03e3c9e8652fa566cf218d0eb64935 /system/dstat
parentc7f427755c1d2f24866cf5c8c4c62cbc40dccc05 (diff)
downloadslackbuilds-d4c5f3d57387b7f5801ea30556555053a4eab59c.tar.gz
slackbuilds-d4c5f3d57387b7f5801ea30556555053a4eab59c.tar.xz
system/dstat: Initial import
Diffstat (limited to 'system/dstat')
-rw-r--r--system/dstat/README24
-rw-r--r--system/dstat/dstat.SlackBuild41
-rw-r--r--system/dstat/dstat.info8
-rw-r--r--system/dstat/slack-desc11
4 files changed, 84 insertions, 0 deletions
diff --git a/system/dstat/README b/system/dstat/README
new file mode 100644
index 0000000000..985feaa6ca
--- /dev/null
+++ b/system/dstat/README
@@ -0,0 +1,24 @@
+Dstat is a versatile replacement for vmstat, iostat, netstat, nfsstat and
+ifstat. Dstat overcomes some of their limitations and adds some extra features,
+more counters and flexibility. Dstat is handy for monitoring systems during
+performance tuning tests, benchmarks or troubleshooting.
+
+Dstat allows you to view all of your system resources instantly, you can eg.
+compare disk usage in combination with interrupts from your IDE controller, or
+compare the network bandwidth numbers directly with the disk throughput (in
+the same interval).
+
+Dstat gives you detailed selective information in columns and clearly indicates
+in what magnitude and unit the output is displayed. Less confusion, less
+mistakes.
+
+Dstat is unique in letting you aggregate block device throughput for a certain
+diskset or networkset, ie. you can see the throughput for all the block devices
+that make up a single filesystem or storage system.
+
+You can write your own dstat plugins to monitor whatever you like in just a few
+minutes based on provided examples and a little bit of Python knowledge.
+
+Dstat's output by default is designed for being interpreted by humans in
+real-time, however the new CSV output allows you to store CSV output in detail
+to a file to be imported later into Gnumeric or Excel to generate graphs.
diff --git a/system/dstat/dstat.SlackBuild b/system/dstat/dstat.SlackBuild
new file mode 100644
index 0000000000..fc15440d8b
--- /dev/null
+++ b/system/dstat/dstat.SlackBuild
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Slackware build script for dstat
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=dstat
+VERSION=0.6.5
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make install DESTDIR=$PKG || exit 1
+
+# We want the examples and the man page.
+rm -f examples/dstat.py # broken symlink
+mkdir -p $PKG/usr/{man/man1,share/dstat/examples}
+install -Dp -m0755 examples/*.py $PKG/usr/share/dstat/examples/
+install -Dp -m0644 docs/dstat.1 $PKG/usr/man/man1/dstat.1
+gzip -9 $PKG/usr/man/man1/dstat.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog LINKS README TESTS TODO WISHLIST \
+ docs/*.html docs/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/dstat/dstat.info b/system/dstat/dstat.info
new file mode 100644
index 0000000000..da88f91b8f
--- /dev/null
+++ b/system/dstat/dstat.info
@@ -0,0 +1,8 @@
+PRGNAM="dstat"
+VERSION="0.6.5"
+HOMEPAGE="http://dag.wieers.com/home-made/dstat/"
+DOWNLOAD="http://dag.wieers.com/home-made/dstat/dstat-0.6.5.tar.bz2"
+MD5SUM="81e4655d26c38e2ccb61a2f5682444be"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="BP{k}"
diff --git a/system/dstat/slack-desc b/system/dstat/slack-desc
new file mode 100644
index 0000000000..3d9172bc07
--- /dev/null
+++ b/system/dstat/slack-desc
@@ -0,0 +1,11 @@
+dstat: Dstat - Versatile resource statistics tool
+dstat:
+dstat: Dstat is a versatile replacement for vmstat, iostat, netstat, nfsstat
+dstat: and ifstat. Dstat overcomes some of their limitations and adds some
+dstat: extra features, more counters and flexibility. Dstat is handy for
+dstat: monitoring systems during performance tuning tests, benchmarks or
+dstat: troubleshooting.
+dstat:
+dstat:
+dstat: http://dag.wieers.com/home-made/dstat/
+dstat: